CREAT(2)

NAME
creat - create a new file

SYNOPSIS
#include <fcntl.h>

int creat (const char *path, mode_t mode);

DESCRIPTION
This interface is made obsolete by: open(2). creat is the same as:
	open(path, O_CREAT | O_TRUNC | O_WRONLY, mode);
Note that under GNO, creating a file with only read permission will fail if that file doesn't already exist.

SEE ALSO
open(2)

HISTORY
The creat function call appeared in Version 6 AT&T UNIX.